--- title: "Get service" slug: "ai-application-service-aitems-service-read" tags: ["AiTEMS"] updated: 2026-09-17T09:35:47Z published: 2026-09-17T09:35:47Z canonical: "api.ncloud-docs.com/ai-application-service-aitems-service-read" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get service Available in Classic and VPC Get details about a specific service among the created services. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /services/{serviceId} | ### Request headers For headers common to all AiTEMS APIs, see [AiTEMS request headers](/docs/en/aiservices-aitems-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | Required | Service ID - See [Get service list](/docs/en/aiservices-aitems-service-list). | ### Request example The following is a sample request. ``` curl --location --request GET 'https://aitems.apigw.ntruss.com/api/v1/services/6wxgu******' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `serviceId` | String | - | Service ID | | `name` | String | - | Service name | | `description` | String | - | Service description | | `status` | String | - | Service status - `scheduled` \| `scheduledLearning` \| `learnable` \| `learning` \| `deleting` \| `deleted` \| `disable` \| `drafted` \| `requestLearning` \| `datasetRequired` - `scheduled`: scheduled - `scheduledLearning`: scheduled training in progress - `learnable`: trainable - `learning`: training in progress - `deleting`: deleting - `deleted`: deleted - `disable`: training unavailable - `drafted`: draft status - `requestLearning`: training requested - `datasetRequired`: no dataset specified after service creation | | `datasets` | Array | - | Information of dataset set to service: [datasets](/docs/en/ai-application-service-aitems-service-read#datasets) | | `hpConfig` | Object | - | Hyperparameter optimization (HPO) settings information | | `hpConfig.is_enabled` | Boolean | - | HPO configuration status - `true` \| `false` - `true`: HPO configured, optimal training models can be implemented - `false`: HPO not configured, trained by AiTEMS' own internal algorithms | | `hpConfig.{option}` | String, Long, Boolean | - | Configured HPO value - See [HPO](/docs/en/aiservices-aitems-service-learning#HPO) for value details | | `infers` | Array | - | Training result information: [infers](/docs/en/ai-application-service-aitems-service-read#infers) - Displayed only if `type` is `interval` | | `createdDate` | String | - | Service creation date and time | | `updatedDate` | String | - | Last update date and time of the service | | `type` | String | - | Service type - `batch` \| `interval` - `batch`: one-time training upon execution - `interval`: Retrain at regular intervals after execution | | `learningInterval` | String | - | Dataset update cycle | | `scheduledDate` | String | - | Dataset update scheduling time | #### `datasets` The following describes `datasets`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `datasetId` | String | - | Dataset ID set to the service | | `type` | String | - | Dataset type set to the service - `user` \| `item` \| `interaction` - `user`: data containing user information (age, gender, etc.) - `item`: data with product-related information (price, release date, category, etc.) - `interaction`: data that captures the history of interactions between users and products | | `name` | String | - | Dataset name set to the service | | `schemaName` | String | - | Dataset schema name set to the service | | `status` | String | - | Status of dataset set to the service - `learnable` \| `disable` \| `uploading` \| `updateRequired` - `learnable`: training available - `disable`: training unavailable - `uploading`: uploading - `updatedRequired`: updated dataset registration required (automatically registered when training) | | `createdDate` | String | - | Creation date and time of dataset set to the service | | `updatedDate` | String | - | Last update date and time of dataset set to the service | #### `infers` The following describes `infers`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `dataType` | String | - | Dataset type of training result - `user` \| `item` \| `interaction` - `user`: data containing user information (age, gender, etc.) - `item`: data with product-related information (price, release date, category, etc.) - `interaction`: data that captures the history of interactions between users and products | | `trainVersion` | String | - | Training result version | | `status` | String | - | Training result status - `enable` \| `waiting` \| `pending` \| `processing` \| `updateFailed` \| `disable` - `enable`: update available - `waiting`: waiting for update - `pending`: pending update - `processing`: updating - `updateFailed`: update failed - `disable`: update unavailable | | `rowCount` | String | - | Result data count | | `createdDate` | String | - | Data creation date and time | | `updatedDate` | String | - | Last update date and time of data | ### Response status codes For response status codes common to all AiTEMS APIs, see [AiTEMS response status codes](/docs/en/aiservices-aitems-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "serviceId": "6wxgu******", "name": "service2", "description": "", "status": "learnable", "datasets": [ { "datasetId": "bu457******", "type": "interaction", "name": "interaction_dataset", "schemaName": "interaction_schema", "status": "learnable", "createdDate": "2024-07-30T09:49:19.254", "updatedDate": "2024-07-30T09:49:35.364" }, { "datasetId": "g8rf6******", "type": "item", "name": "item_dataset", "schemaName": "item_schema", "status": "learnable", "createdDate": "2024-07-29T16:46:35.968", "updatedDate": "2024-07-30T08:57:35.209" }, { "datasetId": "oeq4i******", "type": "user", "name": "user_dataset", "schemaName": "user_schema", "status": "learnable", "createdDate": "2024-07-30T08:58:00.662", "updatedDate": "2024-07-30T08:58:35.205" } ], "hpConfig": { "is_enabled": false }, "infers": [], "createdDate": "2024-07-30T10:28:57.825", "updatedDate": "2024-07-30T10:29:21.550", "type": "interval", "learningInterval": "hour1", "scheduledDate": "2024-07-30T10:28:57.825" } ```